package com.huatek.frame.base.service;

import java.util.Map;

import com.huatek.frame.base.entity.RequestLog;

/**
 * 操作日志service
 * 
 * @author key_dong
 *
 */
public interface RequestLogService {

	/**
	 * 获取操作日志列表
	 * 
	 * @param permission
	 * @param limit
	 * @param page
	 * @return
	 */
	Map<String, Object> findLogPage(RequestLog log); 
	
	/**
	 * 删除操作日志
	 * @param ids
	 * @return 
	 */
	Map<String, Object> deleteLogs(String[] ids);

	/**
	 * 新增操作日志
	 * @param Logs
	 * @return
	 */
	Map<String, Object> addLogs(RequestLog log); 

	/**
	 * 查询操作日志对象
	 * @param id
	 * @return
	 */
	Map<String, Object> findLogs(String id);

}
